petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexComputeIntegralFEM

Form the local integral F from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeIntegralFEM(DM dm, Vec X, PetscReal *integral, void *user)

### Input Parameters

| dm | - The mesh Many br
| X | - Local input vector Many br
| user | - The user context Many br

### Output Parameter

integral -Local integral for each field Many br

Many br

### See Also

DMPlexComputeResidualFEM()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages